ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcTypeNats

# Documentation

typeNatTyCons :: [TyCon] #

typeNatCoAxiomRules :: Map FastString CoAxiomRule #

data BuiltInSynFamily #

Constructors

BuiltInSynFamily |

Fields

- sfMatchFam :: [Type] -> Maybe (CoAxiomRule, [Type], Type)
- sfInteractTop :: [Type] -> Type -> [TypeEqn]
- sfInteractInert :: [Type] -> Type -> [Type] -> Type -> [TypeEqn]

typeNatAddTyCon :: TyCon #

typeNatMulTyCon :: TyCon #

typeNatExpTyCon :: TyCon #

typeNatLeqTyCon :: TyCon #

typeNatSubTyCon :: TyCon #

typeNatCmpTyCon :: TyCon #

typeSymbolCmpTyCon :: TyCon #

typeSymbolAppendTyCon :: TyCon #